---
title: 'Feature-Policy: xr-spatial-tracking'
slug: Web/HTTP/Headers/Feature-Policy/xr-spatial-tracking
---
<div>{{HTTPSidebar}}{{Draft}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The HTTP {{HTTPHeader("Feature-Policy")}} header <code>xr-spatial-tracking</code> directive controls whether the current document is allowed to use the <a href="/en-US/docs/Web/API/WebXR_Device_API">WebXR Device API</a>. This policy controls whether {{DOMxRef("XR.requestSession","navigator.xr.requestSession()")}} can return {{DOMxRef("XRSession")}} that requires spatial tracking and whether user agent can indicate support for sessions supporting spatial tracking via {{DOMxRef("XR.isSessionSupported","navigator.xr.isSessionSupported()")}} and {{Event("devicechange")}} event on {{DOMxRef("Navigator.xr","navigator.xr")}} object.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Feature-Policy: xr-spatial-tracking &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page("Web/HTTP/Feature_Policy/Using_Feature_Policy","allowlist")}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>The default allowlist is <code>'self'</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#permissions-policy","Permissions Policy")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Feature-Policy.xr-spatial-tracking")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebXR_Device_API">WebXR Device API</a></li>
 <li>{{DOMxRef("XR.requestSession","navigator.xr.requestSession()")}}, and {{DOMxRef("XR.isSessionSupported","navigator.xr.isSessionSupported()")}} and {{Event("devicechange")}} event on {{DOMxRef("Navigator.xr","navigator.xr")}}</li>
 <li>{{HTTPHeader("Feature-Policy")}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
</ul>
